#include <bits/stdc++.h>
using namespace std;

int main() {
    int broj;
    cin >> broj;

    int t;
    cin >> t;

    for (int i=0; i < t; i++) {
        vector <int> lista;
        int resenje = 0;

        for (int x=0; x < broj; x++) {
            int temp = x;
            int rezultat = 1;

            while (temp > 0) {
                rezultat *= temp % 10;
                temp /= 10;
            }
            int nasao = 0;
            for (int y=0; y < lista.size(); y++) {
                if (rezultat == lista[y]) {
                    nasao = 1;
                    break;
                }
            }

            if (nasao == 0) {
                resenje += 1;
                lista.push_back(rezultat);
            }
        }

        cout << resenje << "\n";
    }


    return 0;
}